package cz.vutbr.fit.gja.androidmaps;

import android.Manifest;
import android.app.ListActivity;
import android.content.Intent;
import android.content.pm.PackageManager;
import android.os.Bundle;
import androidx.core.app.ActivityCompat;
import android.view.View;
import android.widget.AdapterView;
import android.widget.AdapterView.OnItemClickListener;
import android.widget.ArrayAdapter;
import android.widget.ListView;


public class MainActivity extends ListActivity {

  static final String[] FRUITS = new String[]{"Marker", "StreetView", "MultiMap",
      "Layers", "Indoor", "Polygon", "Camera", "Events", "Circle", "Tile", "Polyline"};

  @Override
  public void onCreate(Bundle savedInstanceState) {
    super.onCreate(savedInstanceState);

    final int S_REQUEST_CODE = 1;
    if (!(checkSelfPermission(
            android.Manifest.permission.WRITE_EXTERNAL_STORAGE) == PackageManager.PERMISSION_GRANTED)) {
      ActivityCompat.requestPermissions(this, new String[]{Manifest.permission.WRITE_EXTERNAL_STORAGE}, S_REQUEST_CODE);
    }
    final int N_REQUEST_CODE = 2;
    if (!(checkSelfPermission(
            Manifest.permission.ACCESS_NETWORK_STATE) == PackageManager.PERMISSION_GRANTED)) {
      ActivityCompat.requestPermissions(this, new String[]{Manifest.permission.ACCESS_NETWORK_STATE}, N_REQUEST_CODE);
    }
    final int I_REQUEST_CODE = 3;
    if (!(checkSelfPermission(
            Manifest.permission.INTERNET) == PackageManager.PERMISSION_GRANTED)) {
      ActivityCompat.requestPermissions(this, new String[]{Manifest.permission.INTERNET}, I_REQUEST_CODE);
    }
    final int C_REQUEST_CODE = 4;
    if (!(checkSelfPermission(
            Manifest.permission.ACCESS_COARSE_LOCATION) == PackageManager.PERMISSION_GRANTED)) {
      ActivityCompat.requestPermissions(this, new String[]{Manifest.permission.ACCESS_COARSE_LOCATION}, C_REQUEST_CODE);
    }
    final int F_REQUEST_CODE = 5;
    if (!(checkSelfPermission(
            Manifest.permission.ACCESS_FINE_LOCATION) == PackageManager.PERMISSION_GRANTED)) {
      ActivityCompat.requestPermissions(this, new String[]{Manifest.permission.ACCESS_FINE_LOCATION}, F_REQUEST_CODE);
    }

    // no more this
    // setContentView(R.layout.list_fruit);

    setListAdapter(new ArrayAdapter<String>(this, R.layout.activity_main, FRUITS));

    ListView listView = getListView();
    listView.setTextFilterEnabled(true);

    listView.setOnItemClickListener(new OnItemClickListener() {
      public void onItemClick(AdapterView<?> parent, View view,
                              int position, long id) {

        switch (position) {
          case 0:
            startActivity(new Intent(MainActivity.this, MarkerActivity.class));
            break;
          case 1:
            startActivity(new Intent(MainActivity.this, StreetViewActivity.class));
            break;
          case 2:
            startActivity(new Intent(MainActivity.this, MultiMapActivity.class));
            break;
          case 3:
            startActivity(new Intent(MainActivity.this, LayersActivity.class));
            break;
          case 4:
            startActivity(new Intent(MainActivity.this, IndoorActivity.class));
            break;
          case 5:
            startActivity(new Intent(MainActivity.this, PolygonActivity.class));
            break;
          case 6:
            startActivity(new Intent(MainActivity.this, CameraActivity.class));
            break;
          case 7:
            startActivity(new Intent(MainActivity.this, EventsActivity.class));
            break;
          case 8:
            startActivity(new Intent(MainActivity.this, CircleActivity.class));
            break;
          case 9:
            startActivity(new Intent(MainActivity.this, TileActivity.class));
            break;
          case 10:
            startActivity(new Intent(MainActivity.this, PolyLineActivity.class));
            break;
        }

      }
    });

  }

}